- don't require perl-Scalar-List-Utils, it's in perl-modules
[packages/perl-Net-SSH-Perl.git] / perl-Net-SSH-Perl.spec
1 #
2 # Conditional build:
3 %bcond_without  tests           # do not perform "make test"
4 #
5 %include        /usr/lib/rpm/macros.perl
6 %define         pdir    Net
7 %define         pnam    SSH-Perl
8 Summary:        Net::SSH::Perl - Perl client Interface to SSH
9 Summary(pl.UTF-8):      Net::SSH::Perl - perlowy interfejs kliencki do SSH
10 Name:           perl-Net-SSH-Perl
11 Version:        1.34
12 Release:        3
13 # same as perl
14 License:        GPL v1+ or Artistic
15 Group:          Development/Languages/Perl
16 Source0:        http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
17 # Source0-md5:  5b6d60e459707058e856c45c30e96e53
18 BuildRequires:  perl-devel >= 1:5.8.0
19 BuildRequires:  rpm-perlprov >= 4.1-13
20 %if %{with tests}
21 BuildRequires:  perl-Convert-PEM >= 0.05
22 BuildRequires:  perl-Crypt-DH >= 0.01
23 BuildRequires:  perl-Crypt-DSA >= 0.11
24 BuildRequires:  perl-Digest-HMAC
25 BuildRequires:  perl-Digest-MD5
26 BuildRequires:  perl-Digest-SHA1 >= 2.10
27 BuildRequires:  perl-Math-GMP >= 1.04
28 BuildRequires:  perl-Math-Pari >= 2.001804
29 BuildRequires:  perl-MIME-Base64
30 BuildRequires:  perl-String-CRC32 >= 1.2
31 %endif
32 Requires:       perl-Convert-PEM >= 0.05
33 Requires:       perl-Crypt-Blowfish
34 Requires:       perl-Crypt-DES
35 Requires:       perl-Crypt-DH >= 0.01
36 Requires:       perl-Crypt-DSA >= 0.11
37 Requires:       perl-Crypt-IDEA
38 Requires:       perl-Crypt-RSA
39 Requires:       perl-Digest-BubbleBabble
40 Requires:       perl-Digest-HMAC
41 Requires:       perl-Digest-MD5
42 Requires:       perl-Digest-SHA1 >= 2.10
43 Requires:       perl-Math-GMP >= 1.04
44 Requires:       perl-Math-Pari >= 2.001804
45 Requires:       perl-MIME-Base64
46 Requires:       perl-String-CRC32 >= 1.2
47 BuildArch:      noarch
48 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
49
50 %description
51 Net::SSH::Perl is an all-Perl module implementing an SSH (Secure
52 Shell) client. It is compatible with both the SSH-1 and SSH-2
53 protocols.
54
55 %description -l pl.UTF-8
56 Net::SSH::Perl to napisany w całości w Perlu moduł implementujący
57 klienta SSH (Secure Shell). Jest kompatybilny z protokołami zarówno
58 SSH-1 jak i SSH-2.
59
60 %prep
61 %setup -q -n %{pdir}-%{pnam}-%{version}
62
63 %build
64 %{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Perl::Net::SSH::Perl")' \
65         INSTALLDIRS=vendor
66 %{__make}
67
68 %{?with_tests:%{__make} test}
69
70 %install
71 rm -rf $RPM_BUILD_ROOT
72
73 %{__make} install \
74         DESTDIR=$RPM_BUILD_ROOT
75
76 install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
77 cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
78
79 %clean
80 rm -rf $RPM_BUILD_ROOT
81
82 %files
83 %defattr(644,root,root,755)
84 %doc Changes ToDo
85 %dir %{perl_vendorlib}/Net/SSH
86 %{perl_vendorlib}/Net/SSH/*.pm
87 %{perl_vendorlib}/Net/SSH/Perl
88 %{_mandir}/man3/*
89 %{_examplesdir}/%{name}-%{version}
This page took 0.067507 seconds and 3 git commands to generate.